package net.shadowfacts.asmr.program

/**
 * @author shadowfacts
 */
open class ExecutionFlow(val block: ExecutableBlock) {

	open var next: ExecutableBlock? = null
	open var prev: ExecutableBlock? = null

	fun link(next: ExecutableBlock) {
		this.next = next
		next.executionFlow.prev = block
	}

}